Bug 638549 - repoquery may give traceback when rpmfusion repos enabled
repoquery may give traceback when rpmfusion repos enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-29 06:13 EDT by Steve Tyler
Modified: 2014-01-21 18:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 08:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2010-09-29 06:13:40 EDT
Description of problem:
Running "repoquery --releasever=14 glibc" with the rpmfusion repos enabled on an F13 system results in a traceback ending with:

yum.Errors.RepoError: Cannot retrieve repository metadata (repomd.xml) for repository: rpmfusion-free. Please verify its path and try again

The workaround is to add "--disablerepo='rpm*'" to the command line.

"repoquery --releasever=99 glibc" also gives a traceback.

"repoquery --releasever=13 glibc" works as expected.

Version-Release number of selected component (if applicable):
yum-utils-1.1.28-1.fc13.noarch

How reproducible:
Always.

Steps to Reproduce:
1. As above.
  
Actual results:
Traceback.

Expected results:
Error message or package list.

Additional info:
$ sudo repoquery --releasever=14 glibc
Traceback (most recent call last):
  File "/usr/bin/repoquery", line 1187, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 1181, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 763, in runQuery
    pkgs = self.matchPkgs(items, plain_pkgs=plain_pkgs)
  File "/usr/bin/repoquery", line 739, in matchPkgs
    pkgs = self.returnPkgList(patterns=items)
  File "/usr/bin/repoquery", line 692, in returnPkgList
    pkgs = self.pkgSack.returnNewestByNameArch(**kwargs)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 827, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 617, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 283, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 163, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 221, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1224, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1413, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1409, in _getRepoXML
    raise Errors.RepoError, msg
yum.Errors.RepoError: Cannot retrieve repository metadata (repomd.xml) for repository: rpmfusion-free. Please verify its path and try again

$ sudo repoquery --releasever=13 glibc
glibc-0:2.12.1-2.i686
glibc-0:2.12.1-2.x86_64
Comment 1 Steve Tyler 2010-09-29 06:27:30 EDT
yum-3.2.28-4.fc13.noarch
yum-metadata-parser-1.1.4-1.fc13.x86_64
yum-presto-0.6.2-1.fc13.noarch
yum-utils-1.1.28-1.fc13.noarch
Comment 2 Steve Tyler 2010-09-29 06:39:20 EDT
$ sudo repoquery --archlist=nosucharch glibc
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=fedora-13&arch=nosucharch error was 
No repomd file
Traceback (most recent call last):
  File "/usr/bin/repoquery", line 1187, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 1181, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 763, in runQuery
    pkgs = self.matchPkgs(items, plain_pkgs=plain_pkgs)
  File "/usr/bin/repoquery", line 739, in matchPkgs
    pkgs = self.returnPkgList(patterns=items)
  File "/usr/bin/repoquery", line 692, in returnPkgList
    pkgs = self.pkgSack.returnNewestByNameArch(**kwargs)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 827, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 617, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 283, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 163, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 221, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1224, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1413, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1409, in _getRepoXML
    raise Errors.RepoError, msg
yum.Errors.RepoError: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again
Comment 3 seth vidal 2010-09-29 11:22:21 EDT
This is already fixed upstream and will be in a yum-utils release in fedora soon.
Comment 4 Bug Zapper 2011-05-31 08:20:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Steve Tyler 2011-05-31 12:38:28 EDT
Fixed in F15:
yum-utils-1.1.30-2.fc15.noarch

$ sudo repoquery --archlist=nosucharch glibc
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=fedora-15&arch=nosucharch error was 
No repomd file
Could not match packages: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again
Comment 6 Bug Zapper 2011-06-28 08:11:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Steve Tyler 2013-08-04 16:39:50 EDT
Changing resolution to CURRENTRELEASE per Comment 5 and retest with F19:

$ sudo repoquery --archlist=nosucharch glibc
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=fedora-19&arch=nosucharch error was 
No repomd file
File /var/cache/yum/nosucharch/19/fedora/metalink.xml does not exist
$ rpm -q yum-utils
yum-utils-1.1.31-16.fc19.noarch

Note You need to log in before you can comment on or make changes to this bug.